summaryrefslogtreecommitdiffstats
path: root/test/run_script_test.sh
diff options
context:
space:
mode:
authorDave Davenport <qball@gmpclient.org>2014-08-31 10:37:12 +0200
committerDave Davenport <qball@gmpclient.org>2014-08-31 10:37:12 +0200
commit5d5b4aac9f0a3fb02bfb094a194313bf2c5b800f (patch)
tree2f15f4a6a7b1d30926f27a803a8b3052eade6cce /test/run_script_test.sh
parentad1cede6f5369467dc03856a9465bc2fd1cbfad9 (diff)
Add small script test.
Diffstat (limited to 'test/run_script_test.sh')
-rwxr-xr-xtest/run_script_test.sh25
1 files changed, 25 insertions, 0 deletions
diff --git a/test/run_script_test.sh b/test/run_script_test.sh
new file mode 100755
index 00000000..fef075f8
--- /dev/null
+++ b/test/run_script_test.sh
@@ -0,0 +1,25 @@
+#!/usr/bin/env bash
+
+SP=$(readlink -f "$0")
+DIR=$(dirname "$SP")
+echo $DIR
+# wait till it is up, run rofi with error message
+sleep 1;
+rofi -switchers "custom:$DIR/test_script.sh" -show custom &
+RPID=$!
+
+# send enter.
+sleep 5;
+xdotool key 'Down'
+sleep 0.4
+xdotool key Return
+
+# Get result, kill xvfb
+wait ${RPID}
+RETV=$?
+OUTPUT=$(cat output.txt | tr '\n' ' ')
+if [ "${OUTPUT}" != 'noot ' ]
+then
+ exit 1
+fi
+exit ${RETV}